// DlgWrite.cpp : Implementation file
//

#include "stdafx.h"
#include "ClouReaderDemo.h"
#include "DlgWrite.h"
#include "afxdialogex.h"


// CDlgWrite Dialog box

IMPLEMENT_DYNAMIC(CDlgWrite, CDialogEx)

CDlgWrite::CDlgWrite(CWnd* pParent /*=NULL*/)
	: CDialogEx(CDlgWrite::IDD, pParent)
{
	ant = ANT_1;
}

CDlgWrite::~CDlgWrite()
{
}

void CDlgWrite::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT1, m_eOldEpc);
	DDX_Control(pDX, IDC_EDIT2, m_ePwd);
	DDX_Control(pDX, IDC_EDIT3, m_eWriteEpc);
	DDX_Control(pDX, IDC_RADIO1, m_rEpc);
	DDX_Control(pDX, IDC_EDIT7, m_eTid);
	DDX_Control(pDX, IDC_RADIO3, m_cWirteEpc);
}


BEGIN_MESSAGE_MAP(CDlgWrite, CDialogEx)
	ON_BN_CLICKED(IDOK, &CDlgWrite::OnBnClickedOk)
END_MESSAGE_MAP()

// CDlgWrite Message handler


BOOL CDlgWrite::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO:  Add additional initialization here
	m_eOldEpc.SetWindowText(oldEpc);
	m_eTid.SetWindowText(oldTid);
	m_eOldEpc.EnableWindow(false);
	m_eTid.EnableWindow(false);
	m_ePwd.SetWindowText("00000000");
	m_ePwd.SetLimitText(8);
	m_eWriteEpc.LimitText(1020);
	m_rEpc.SetCheck(1);
	m_cWirteEpc.SetCheck(1);
	return TRUE;  // return TRUE unless you set the focus to a control
	// Exception: the OCX property page should return FALSE
}


void CDlgWrite::OnBnClickedOk()
{
	// TODO: Add the control notification handler code here
	CString writeStr;
	m_eWriteEpc.GetWindowText(writeStr);
	CString pwd;
	m_ePwd.GetWindowText(pwd);

	CL_DATA_FIELD writeField;
	if (m_cWirteEpc.GetCheck() == 1)
		writeField = EPC_FIELD;
	else
		writeField = USER_FIELD;

	CL_DATA_FIELD matchField;
	CString matchData;
	if (m_rEpc.GetCheck() == 1)
	{
		matchField = EPC_FIELD;
		matchData = oldEpc;
	}
	else
	{
		matchField = TID_FIELD;
		matchData = oldTid;
	}

	int ret = CLWriteEPC(connStr.GetBuffer(), ant, writeField, writeStr.GetBuffer(), matchField,
		matchData.GetBuffer(), pwd.GetBuffer());
	if (ret != 0)
	{
		GetDlgItem(IDC_STATUES)->SetWindowText("Write failed");
		return;
	}

	CDialogEx::OnOK();
}
